﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CV9
{
    public partial class Page2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            HttpCookie cookie = Request.Cookies["usrLanguage"];

            if (cookie != null)
                lblLang.Text = cookie.Value;
        }

        protected void Button_Click(object sender, EventArgs e)
        {
            if (sender is Button)
                AddCookieLanguage(((Button)sender).Text);
        }

        protected void AddCookieLanguage(string language)
        {
            string cookieSetting = WebConfigurationManager.AppSettings["cookieLifeTime"];
            int cookieLifeTime = String.IsNullOrWhiteSpace(cookieSetting) ? 24 : Convert.ToInt32(cookieSetting);

            Response.Cookies.Add(new HttpCookie("usrLanguage", language) { Expires = DateTime.Now.AddHours(cookieLifeTime) });
        }
    }
}